////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
uniform sampler2D inputImageTexture;// 已经裁剪的纹理
uniform sampler2D inputImageTexture2;// outline纹理
uniform mat4 mBlendMatrix;
uniform mat4 mScaleMatrix;

void main()
{
    vec4 coordinate=vec4(textureCoordinate, 0., 1.);
    coordinate= mBlendMatrix * coordinate;
    vec4 scaleCoordinate= mScaleMatrix * coordinate;

    vec4 outlineColor=texture2D(inputImageTexture2, scaleCoordinate.xy);

    if (coordinate.x<0.||coordinate.x>1.||coordinate.y<0.||coordinate.y>1.){
        if (scaleCoordinate.x<0.||scaleCoordinate.x>1.||scaleCoordinate.y<0.||scaleCoordinate.y>1.){
            gl_FragColor=vec4(0., 0., 0., 0.);
        } else {
            gl_FragColor=outlineColor;
        }
        return;
    }
    vec4 srcColor=texture2D(inputImageTexture, coordinate.xy);

    gl_FragColor = outlineColor  * (1.0-srcColor.a )+ srcColor ;

}