////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;
uniform sampler2D inputImageTexture3;

uniform mat4 mBlendMatrix;
uniform lowp float intensity;

void main() {
    vec4 coordinate = vec4(textureCoordinate, 0., 1.);
    coordinate = mBlendMatrix * coordinate;
    if (coordinate.x < 0. || coordinate.x > 1. || coordinate.y < 0. || coordinate.y > 1.) {
        gl_FragColor = texture2D(inputImageTexture, textureCoordinate);
        return;
    }
    mediump vec4 blendColor = texture2D(inputImageTexture2, coordinate.xy) * intensity;
    mediump vec4 srcColor = texture2D(inputImageTexture, textureCoordinate);

    gl_FragColor = vec4(srcColor.rgb * (1.0 - blendColor.a)+ blendColor.rgb   ,max(srcColor.a,srcColor.a * (1.0 - blendColor.a) + blendColor.a));

}